View Issue Details

IDProjectCategoryView StatusLast Update
0003377NoesisGUIStudiopublic2024-06-13 16:04
Reporterdstewart Assigned Todfranjic  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product VersionStudio_A1 
Target VersionStudio_A1 
Summary0003377: Studio Crashes When Renaming a Data Structure of Multiple Instances
DescriptionRenaming a Data Structure that has multiple instances applied to a Page, crashes Studio.

Note that this only occurs when there are two Data Sets (Instances) assigned to a Page. I was not able to repro this with a single assignment of Data to a Page.

Dump Attached.
Steps To ReproduceRepro Steps:

1) Create a Page
2) In the Data Panel, create a Data Structure (Named "MyData" and a Data Property for it (Named "MyProperty"). The type of data is not important.
3) Assign the Data created in Step 2) to the Page created in Step 1).
4) For a second time, assign the Data created in Step 2) to the Page created in Step 1).
You should now have two data sets that use "MyData" under the "Data Sets" panel.

Rename the Data Structure created in Step 2) called "MyData" to "YourData".

Observe the application crashing.

Expected Result: Data Structures can be renamed without Crashing.
Expected Result: Renaming a Data Structure updates its name wherever its used.
TagsNo tags attached.
PlatformAny

Activities

dstewart

dstewart

2024-06-10 18:10

reporter  

20240610_120735.dmp (87,898 bytes)

Issue History

Date Modified Username Field Change
2024-06-10 18:10 dstewart New Issue
2024-06-10 18:10 dstewart File Added: 20240610_120735.dmp
2024-06-11 00:12 dfranjic Assigned To => dfranjic
2024-06-11 00:12 dfranjic Status new => assigned
2024-06-12 11:15 jsantos Target Version => Studio_A1
2024-06-13 16:04 dfranjic Status assigned => resolved
2024-06-13 16:04 dfranjic Resolution open => fixed